### Method

# WebKit2 WebsiteDataManager get_hsts_cache_directory

#### Declaration [src]

    const gchar*
    webkit_website_data_manager_get_hsts_cache_directory (
      WebKitWebsiteDataManager* manager
    )

#### Description [src]

Get the `WebKitWebsiteDataManager:hsts-cache-directory` property.

Available since: | 2.26

Gets property | `WebKit2.WebsiteDataManager:hsts-cache-directory`

#### Return value

Returns: | `const gchar*`
| The directory where the HSTS cache is stored or `NULL` if `manager` is ephemeral.
| The data is owned by the instance.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.